x003032_g_scriptId=003032

x003032_g_IdPuTong={}
x003032_g_IdPuTong[1]={800000}     --    刷的怪物

x003032_g_PuTongNum={}
x003032_g_PuTongNum[1]={3}     --   数量

x003032_g_ExistTime = 9000000

x003032_g_MonsterPosList={}     
x003032_g_MonsterPosList[1]={{67.39,132.14,3.5},{258.3,198.78,3.93},{265.01,92.36,1.53},{79.95,203.63,3.5},{67.39,132.14,3.5},{258.3,198.78,3.93},{265.01,92.36,1.53},{79.95,203.63,3.5}}	 
-- 上面的怪物坐标重复写两遍   方便随机不同的坐标

function x003032_OnActivityStart( scene,curTime,idx)	
	local PosNum = #x003032_g_MonsterPosList[1]/2
	local randPos = RandomMon(1, PosNum)	
	local Rcount = x003032_g_PuTongNum[1][1]-1
	local Lvl = GetWorldLvlByFestivalMonster(scene)
	--print("刷怪世界等級")

	local AdaptLvl = math.floor(Lvl/10)
	--print(AdaptLvl)
	SetSceneBossNum(scene, idx)
	for i = randPos, randPos+Rcount do
		local objId = CreateMonster(scene, x003032_g_IdPuTong[1][1]+AdaptLvl,x003032_g_MonsterPosList[1][i][3],x003032_g_MonsterPosList[1][i][1],x003032_g_MonsterPosList[1][i][2])
		--SetNpcCampByObjId(scene,objId,1)
		SetMonEndTime(scene, curTime, x003032_g_ExistTime, objId)
		LogMonster(scene,objId,x003032_g_IdPuTong[1][1]+AdaptLvl,x003032_g_MonsterPosList[1][i][3],x003032_g_MonsterPosList[1][i][1],x003032_g_MonsterPosList[1][i][2])
	
	end
end
